/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef MAINWINDOW__H__
#define MAINWINDOW__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include "configtab.h"
#include "playertab.h"
#include "stafftab.h"
#include "stadiumtab.h"
#include "clubtab.h"
#include "loadtab.h"
#include "abouttab.h"
#include "performance.h"

/**
 * \brief Main Window widget.
 *
 * Holds all tabs inside it.
 */
class MainWindow: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QTabWidget *tabWidget;
	QWidget *conf;
	QWidget *player;
	QWidget *perform;
	QWidget *staff;
	QWidget *stadium;
	QWidget *club;
	QWidget *load;
	QWidget *about;
public:
	MainWindow(QWidget *parent = 0);
	~MainWindow();
};


#endif
