/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef STAFFTAB__H__
#define STAFFTAB__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

#include "staffmember.h"

extern void parse(const QString &);
extern int staffCnt;
extern StaffMemberStruct staff[];

/// Staff Tab widget.
class StaffTab: public QWidget {
	Q_OBJECT
	QTabWidget *tabWidget;
	QVBoxLayout *mainLayout;
public:
	StaffTab(QWidget *parent = 0);
	~StaffTab();
	
	void rebuildUI();
private:
	void initTabs();
public slots:
	void dataChanged();
};

#endif
