/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "abouttab.h"

/**
 * \brief About Tab constructor.
 */
AboutTab::AboutTab(QWidget *parent) : QWidget(parent) {
	init();
}

/**
 * \brief About Tab destructor.
 */
AboutTab::~AboutTab() {
	delete label;
	delete mainLayout;
}

/**
 * \brief About Tab initializer.
 *
 * Set some text into about tab.
 */
void AboutTab::init() {
	mainLayout = new QVBoxLayout;
	QString text;
	text = "<h3>Another SoccerProject Tool</h3>";
	text += "v 0.2.7 | 23.12.2007<br><br>";
	text += "johniez | <a href=\"http://aspt.johniez.com\">aspt homepage</a>";
	text += "<hr>";
	text += "<b>" + tr("Translators") + ":</b><br>";
	text += "UniCool [RO]<br>";
	text += "Gladiator [PL]<br>";
	text += "arsportas [LT]<br>";
	text += "<hr>";
	text += "<a href=\"http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode\">Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license</a>";
	label = new QLabel(text);
	mainLayout->addWidget(label);
	setLayout(mainLayout);
}
