/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef LOADOLD__H__
#define LOADOLD__H__

#include <QWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>
#include <QSettings>
#include <QComboBox>
#include <QDate>

extern int dataParsed[20][4];	// glob slot || slot || season || data #
extern int globSlot;
extern int curSlot;
extern int curSeason;

extern void parse(const QString &);
extern void quickparse(const QString &);

/// Load Tab widget.
class LoadTab: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLabel *label;
	QComboBox *older;
public:
	LoadTab(QWidget *parent = 0);
	~LoadTab();
	
	void rebuildUI();
private:
	void init();
public slots:
	void dataChanged();
	void indexChanged(int i);
signals:
	void loaded();
};

#endif
