/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef PROXYSET__H__
#define PROXYSET__H__

#include <QWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QCheckBox>
#include <QLabel>
#include <QLineEdit>
#include <QSettings>

/// Proxy settings widget.
class ProxySet: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLineEdit *addrP, *portP, *nameP, *passP;
	QCheckBox *proxy;
	QLabel *addr, *port, *name, *pass;
	QPushButton *saveButt;
	int useProxy;
public:
	ProxySet(QWidget *parent = 0);
	~ProxySet();
public slots:
	void save();
	void checkChange(int state);
};

#endif
