/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef STAFFMEMBER__H__
#define STAFFMEMBER__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

struct StaffMemberStruct {
	QString id;
	QString role;
	QString name;
	QString wage;
	QString contr;
	QString age;
	QString birth;
	QString inservice;
	QString course;
	QString rating;
};

extern StaffMemberStruct staff[];
extern int staffCnt;

/// Staff widget.
class StaffMember: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLabel *player;
	int i;
public:
	StaffMember(int idx, QWidget *parent = 0);
	~StaffMember();
};

#endif
